Ubuntu

[karmic] No sound on Intel 82801H HD Audio

Reported by Michael Terry on 2009-08-10
182
This bug affects 34 people
Affects Status Importance Assigned to Milestone
pulseaudio (Ubuntu)
Medium
Unassigned
Nominated for Karmic by Golden

Bug Description

I couldn't tell if this was a dup or not. And rather than make my own estimate of that, I'll let someone more experienced mark it as a dup if so.

So I've been running karmic, and 'at some point in the past few weeks' audio has stopped working. Sorry I can't pin time down more than that. My system is mostly up-to-date, but it certainly has the latest pulseaudio (0.9.16).

Everything seems to think it's playing fine, but no sound comes out. Nothing seems muted.

ProblemType: Bug
Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: mike 3548 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfe9fc000 irq 21'
   Mixer name : 'SigmaTel STAC9228'
   Components : 'HDA:83847616,102801f3,00100201 HDA:14f12c06,14f1000f,00100000'
   Controls : 29
   Simple ctrls : 19
Date: Mon Aug 10 14:15:50 2009
DistroRelease: Ubuntu 9.10
Package: alsa-base 1.0.20+dfsg-1ubuntu4
PackageArchitecture: all
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-5.24-generic
SourcePackage: alsa-driver
Uname: Linux 2.6.31-5-generic i686

Michael Terry (mterry) wrote :
Carroarmato0 (carroarmato0) wrote :

Yes, I can confirm that I also suffer the same problem,

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
Linux 2.6.31-5-generic #24-Ubuntu SMP Sat Aug 1 12:48:18 UTC 2009 i686 GNU/Linux

Changed in linux (Ubuntu):
status: New → Confirmed
don hardaway (don-hardaway) wrote :

I have the same problem on a Macbook Pro with Karmic Netbook Remix.

Matt Zimmerman (mdz) on 2009-08-12
tags: added: regression-potential
Michael Rocco Sabino (m-sabino) wrote :

I can also confirm this bug on amd64 as well.

Hi Michael,

Just adding a little more info since I have the same soundcard and codec and am now experiencing this same issue (I'll attach my alsa-info):

00:1b.0 Audio device [0403]: Intel Corporation 82801H (ICH8 Family) HD
Audio Controller [8086:284b] (rev 02)
        Subsystem: Dell Device [1028:01f3]

Codec: SigmaTel STAC9228

Having seen this bug I thought I would do some testing since I was still on the 2.6.31-4 kernel and running pulseaudio 1:0.9.15-4ubuntu2 and sound was working fine. First, I specifically updated just the kernel to 2.6.31-5 and sound still worked fine. I then updated pulseaudio to 1:0.9.16~test4-0ubuntu4 and now I no longer have sound. I tried doing "pasuspender -- rhythmbox" but still have no sound.

I notice Jamie is seeing a similar issue in bug 400682 but I don't think these are duplicates since he experienced his loss of sound upgrading to an earlier Karmic release whereas we just recently lost sound.

affects: linux (Ubuntu) → pulseaudio (Ubuntu)

On Wed, Aug 12, 2009 at 6:38 PM, Leann
Ogasawara<email address hidden> wrote:
> Having seen this bug I thought I would do some testing since I was still
> on the 2.6.31-4 kernel and running pulseaudio 1:0.9.15-4ubuntu2 and
> sound was working fine.  First, I specifically updated just the kernel
> to 2.6.31-5 and sound still worked fine.  I then updated pulseaudio to
> 1:0.9.16~test4-0ubuntu4 and now I no longer have sound.  I tried doing
> "pasuspender -- rhythmbox" but still have no sound.

Right, there are two separate issues here: the first is that the
latest pulseaudio source package has messed profiles. I'm chasing that
as time permits.

See also the ~ubuntu-audio-dev PPA where Luke and I are uploading test
packages in light of the A4 freeze.

> I notice Jamie is seeing a similar issue in bug 400682 but I don't think
> these are duplicates since he experienced his loss of sound upgrading to
> an earlier Karmic release whereas we just recently lost sound.

Right, this is a separate linux bug. Fixes for those are in my
audio-fixes ubuntu-karmic.git branch on zinc.

Alexander S. Gryanko (xpahos) wrote :

Codec: SigmaTel STAC9228(Dell XPS m1330).

Change /etc/modprobe.d/alsa-base.conf

# Power down HDA controllers after 10 idle seconds
options snd-hda-intel model=dell-3stack

sudo alsa force-reload

In 'Sound Preferences' -> 'Hardware' set Profile -> Analog Stereo Duplex

Michael Terry (mterry) wrote :

Gryanko, your suggestion fixed it for me, the reporter. Thanks!

Jonathan (jonathanmotes-gmail) wrote :

I lost sound after performing updates on a new 9.10 alpha 3 install. I believe I have the same audio controller:

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)

I was able to get my sound to work (in both headphones and speakers) by changing "Sound Preferences" -> "Output" -> "Connector" to Analog Headphones (from Analog Output).

I thought my solution was rather strange....does this mean there is a bug in the Sound Preferences application?

Peter Matulis (petermatulis) wrote :

I've been getting inconsistent behaviour with my device:

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
 Subsystem: AOPEN Inc. Device 062d

Sometimes upon reboot sound works without changing any configuration. Sometimes the reboot mutes the speaker and I need to turn up the volume and it works. Now I can't get sound at all.

$ uname -a
Linux syrinx 2.6.31-6-generic #26-Ubuntu SMP Fri Aug 21 17:48:16 UTC 2009 i686 GNU/Linux

Derek (bugs-m8y) wrote :

I'm going to follow this one too. I tried comment #7 but my results are unchanged from description in:

bug #400682, comment #57

(it didn't help)

Changed in pulseaudio (Ubuntu):
importance: Undecided → Medium
qwerty800 (qwerty8034) wrote :

I always tough I was the only Ubuntueros to have this configuration AND to be conciencious enough to post it on lp...

I was wrong...

Man, I have those recessions! I hope it will be fixed soon! One week without sound is really...

qwerty800 (qwerty8034) wrote :

I always tough I was the only Ubuntueros to have this configuration AND to be conciencious enough to post it on lp...

I was wrong...

Man, I hate those recessions! I hope it will be fixed soon! One week without sound is really...

qwerty800 (qwerty8034) on 2009-09-07
tags: added: regression
removed: regression-potential
qwerty800 (qwerty8034) wrote :

I think I've got something!

Go and open the file in "/usr/share/doc/alsa-base/driver/HD-Audio-Models.txt.gz" and find your model of card. Remember it as XYZ.

Change /etc/modprobe.d/alsa-base.conf

# Power down HDA controllers after 10 idle seconds
options snd-hda-intel model=XYZ

And do:
sudo alsa force-reload

Then, go in 'Sound Preferences' -> 'Hardware' and be sure it's Profile -> Analog Stereo Duplex

That's in theory, but my "model", whatever does that means, does not seems to be listed there...

According to "/usr/share/doc/alsa-base/driver/ALSA-Configuration.txt.gz", we may use the "generic" model, but it's only recommended for testing & debigging.

Bart (ahverbeek) wrote :

I think I can confirm this bug. Since I'm not an expert I'm not 100% sure.
lspci give's me:
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 01)

I get no sound at all. If I remove pulseaudio, everything is working fine.
I tried to find my model in:
/usr/share/doc/alsa-base/driver/HD-Audio-Models.txt
But I don't know how to find the right one.
Is there more information needed?

Bart (ahverbeek) wrote :

alsamixer tell's me: Card: HDA Intel Chip: Realtek ALC882

I added: 'model=6stack-dig' to alsa-base.conf:
# Power down HDA controllers after 10 idle seconds
options snd-hda-intel power_save=10 model=6stack-dig

But that did not solve my problem. ;-)

komputes (komputes) wrote :

I can't reproduce this issue in karmic. I have the same sound card as Leann but on a different machine (Subsystem) and with a different codec.

00:1b.0 Audio device [0403]: Intel Corporation 82801H (ICH8 Family) HD Audio Controller [8086:284b] (rev 02)
        Subsystem: Intel Corporation Device [8086:2501]
        Kernel modules: snd-hda-intel
        Codec: SigmaTel STAC9271D

Those of you who experience this issue but have not yet posted their codec, please run the following command and report the output:
$ cat /proc/asound/card*/codec* | grep Codec

Peter Matulis (petermatulis) wrote :

$ grep Codec /proc/asound/card0/codec*

Codec: Realtek ALC888

Jonathan (jonathanmotes-gmail) wrote :

My audio stopped working again after upgrading to karmic alpha 5.

Here's my output from "grep Codec /proc/asound/card0/codec*":

/proc/asound/card0/codec#0:Codec: SigmaTel STAC9228
/proc/asound/card0/codec#1:Codec: Conexant ID 2c06

qwerty800 (qwerty8034) wrote :

What's weird, is that this issue hapenned with alpha 3, then I got my sound back for a few days, and then it stopped again with alpha 4...

user@MY-desktop:~$ grep Codec /proc/asound/card0/codec*
Codec: Analog Devices AD1988

niklasalbin (niklasalbin) wrote :

Got a similar problem. I can hear sound just after restart, then the volume falls to zero. I can see output in padevchooser but hear nothing. I can not find any volume control on zero. I also had trouble with Jaunty. I've attempted qwerty800's proposal to no avail.

grep Codec /proc/asound/card0/codec*
Codec: SigmaTel STAC9227

qwerty800 (qwerty8034) wrote :

Well, my solution was nothing but an adaptation of Jonathan's one.

qwerty800 (qwerty8034) wrote :

I can't understand how can a crackling microphone problem have an higher importance than no sound on a whole series of sound card, even with the problem being a REGEASSION!!!

That's bulls*it

Jonathan (jonathanmotes-gmail) wrote :

Just as an added detail, my speakers make crackling sounds when sound should be playing.

I'm pretty frustrated with the work on this bug as well. I've had this problem on every release of Ubuntu for the past year and a half (until things get ironed out a week or two after the release).

Lately its seemed that proprietary sound cards enjoy better support on Linux then ones built by companies that support open standards and release open source drivers....please somebody, prove me wrong!

qwerty800 (qwerty8034) wrote :

One year and a half?

Man, I wonder how can you live with that!

Anyway, I want this problem to be resolved, and I want it RIGHT NOW!!!

Seriously, without sound, things are not the same!
Have you already tried to listen to a movie without music?

DiegoJ (diegojromerolopez) wrote :

> Just as an added detail, my speakers make crackling sounds when sound should be playing.

Me too in my Toshiba Tecra Laptop.

$ cat /proc/asound/card*/codec* | grep Codec
Codec: Realtek ALC268
Codec: LSI ID 1040

$ uname -a
Linux baldur 2.6.31-9-generic #29-Ubuntu SMP Sun Aug 30 17:39:23 UTC 2009 i686 GNU/Linux

Trey Brown (trey.brown) wrote :

I have also lost my sound on upgrade

$ lspci -v
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
 Subsystem: COMPAL Electronics Inc Device 0024
 Flags: bus master, fast devsel, latency 0, IRQ 20
 Memory at f8400000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>
 Kernel driver in use: HDA Intel
 Kernel modules: snd-hda-intel

$ cat /proc/asound/card*/codec* | grep Codec
Codec: Realtek ALC268
Codec: Motorola Si3054

$ uname -a
Linux fiver 2.6.31-10-generic #32-Ubuntu SMP Thu Sep 10 23:33:50 UTC 2009 i686 GNU/Linux

pablomme (pablomme) wrote :

I also have no sound on a laptop with an 82801G (ICH7) chipset using the following codecs:

/proc/asound/card0/codec#0:Codec: Realtek ALC262
/proc/asound/card0/codec#1:Codec: Motorola Si3054

The recent update to PulseAudio 0.9.17 didn't help. Interestingly, I do get sound in youtube videos (and possibly other flash videos, I haven't checked), but neither Totem, Rythmbox, VLC or sox's "play" can play back an ogg file, and both Totem and "play" hang. Does anyone else see this?

qwerty800 (qwerty8034) wrote :

@pablomme:
Then, your bug is another story!
In our case, every program works just fine, except that no sound come out of the speakers.
Amazing how can one letter can drastically change everything, isn't?

kk (kk1987) wrote :

@pablomme
Same here. YouTube videos won't be affected by PulseAudio because the Flash plugin uses OSS driver.

@Jonathan
I can confirm the speakers making crackling sounds.

More observations when I switch audio drivers in SMPlayer:
OSS, alsa (0.0 - HDA Intel) - everything fine
alsa, alsa (0.1 - HDA Intel), pulse - crackling sounds only

@qwerty800
I have added model=dell-m21 into alsa-base.conf but it didn't help.
(Dell 640m, SigmaTel STAC9200)

Jonathan (jonathanmotes-gmail) wrote :

I'm getting crackling sounds with flash videos as well as from applications such as Rhythmbox. Is there a way to set what driver I use for Flash?

I was having some sound issues with Karmic on Intel and it turns out the slmodemd daemon was tying up the sound system and so the pulseaudio server couldn't setup the sound for use.

Read more here:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/394500

I was using the alsa force-reload method to work around this problem at first, but as it turns out - using pulseaudio is better.

Good Luck!

Shannon VanWagner
humans enabled

pablomme (pablomme) wrote :

@Shannon: I don't have slmodemd running, and /dev/snd/controlC0 is in use by pulseaudio. Yet, no sound. I think that's a different bug.

Shannon: I can make you sure that it is nothing to do with PA and slmodemd conflict. It is about power saving feature for ALSA cards.

disabling /etc/modeprobe.d/alsa-base.conf last line for snd-hda-intel and alsa force-reload did a trick. Seemingly power saving feature works too well, turning off device all together.

pablomme (pablomme) wrote :

I think there are several different sound issues and we are assuming it's the same bug.

In my case the problem is now gone -- I had to use alsamixer to set a non-zero PCM volume, though. I'm pretty sure I did have a problem because there was sound in flash video, and flash responds to the Alsa PCM volume setting as it should. But I don't know what the problem was...

Olof Kindgren (flamingolof) wrote :

Raising the PCM volume level works for me too. I can't imagine that all users has turned that down to 0 at the same time. Must be some package update that did that

This is a Toshiba Tecra A10
Codec: Realtek ALC268
Codec: LSI ID 1040

Jonathan (jonathanmotes-gmail) wrote :

Alsamixer showed that my PCM volume was all the way down too. Raising it fixed my problem. Also, sound works fine for me with a Karmic alpha 6 live disc.

$ cat /proc/asound/card*/codec* | grep Codec
Codec: Realtek ALC882
Codec: LSI Si3054

I'm not sure I had the same bug as anyone else, but I had no sound at all on my new Karmic alpha 6 fresh install (totem, banshee, flash). I tried installing padevchooser, and now it suddenly works.

All I did in padevchooser was set some notifications and adjusting the volume for input an output before putting some music in Totem and watching flash at youtube

Karunadheera (karunadheera) wrote :

after todays update i also lost my sound on my Asus F3E

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
 Subsystem: ASUSTeK Computer Inc. Device 1339
 Flags: bus master, fast devsel, latency 0, IRQ 22
 Memory at feaf8000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: <access denied>
 Kernel driver in use: HDA Intel
 Kernel modules: snd-hda-intel

I could not see my audio device in the gnome sound preferences.

I ran reloaded alsa using.

$ sudo alsa force-reload

the device came up without problem. i will report back after reboot whether it works.

pablomme (pablomme) wrote :

I had no problems with the pulseaudio 0.9.18 update (I rebooted before checking, though). Looking at the changelog, there may be changes addressing some of the problems voiced here (PCM volume issues are mentioned, for instance).

Peter Matulis (petermatulis) wrote :

I'm declaring my problem fixed. Don't know why. Update I guess. I can now reboot and have sound working. I can also change applications (firefox to songbird) and have sound come out. All this without any fiddling.

Jonathan (jonathanmotes-gmail) wrote :

My sound also continues to work with the 0.9.18 pulse update.

Karunadheera (karunadheera) wrote :

Sound was working fine in Jaunty. Even the audio jack sensing worked by adding the "model" to "alsa-base.conf".

Here in Karmic no sound at all. "sudo alsa force-reload" helps to load sound back. By adding the model=lenovo to "alsa-base.conf" audio jack sensing is working. However after restart again I have to run "sudo alsa force-reload".

Please find detailed info here. I have attached lspci & lsusb too.

Model : Asus F3E

prageeth@prageeth-notebook:~$ cat /proc/asound/card*/codec* | grep Codec
Codec: Realtek ALC660-VD
Codec: Motorola Si3054

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
 Subsystem: ASUSTeK Computer Inc. Device 1339
 Flags: bus master, fast devsel, latency 0, IRQ 22
 Memory at feaf8000 (64-bit, non-prefetchable) [size=16K]
 Capabilities: [50] Power Management version 2
 Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
 Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
 Capabilities: [100] Virtual Channel <?>
 Capabilities: [130] Root Complex Link <?>
 Kernel driver in use: HDA Intel
 Kernel modules: snd-hda-intel

prageeth@prageeth-notebook:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu karmic (development branch)
Release: 9.10
Codename: karmic
prageeth@prageeth-notebook:~$ uname -a
Linux prageeth-notebook 2.6.31-10-generic #34-Ubuntu SMP Wed Sep 16 01:09:15 UTC 2009 x86_64 GNU/Linux

Karunadheera (karunadheera) wrote :
Karunadheera (karunadheera) wrote :

I confirm all updates are installed. Update manager shows no available updates.

Still problem is here. :(

Jonathan (jonathanmotes-gmail) wrote :

@Karunadheera

have you tried running "alsamixer" in a terminal to check the pcm levels? That has fixed the issue for several of us.

qwerty800 (qwerty8034) wrote :

Not for me.

PCM is ok, Front is muted, but even pulling it to max don't change anything...

I could still try the good old "Put-every-slider-to-the-max-no-matter-if-i-cause-my-200-dollars-speakers-to-explode" method...

Grant Bowman (grantbow) wrote :

I was baffled by this for awhile too. What worked (as described above) is changing System -> Preferences -> Sound -> Hardware tab, set Profile to Analog Stereo Duplex

qwerty800 (qwerty8034) wrote :

Just to say, I'm still afected by this issue, and I want my sound back REALLY BAD.

None of the methods described above worked for me.

pablomme (pablomme) wrote :

@qwerty800: have you tried booting from a karmic beta liveCD? If sound works there, you have some configuration problem. If not, at least you have one more piece of information.

qwerty800 (qwerty8034) wrote :

I don't really feel like burning another Live CD to use it once...

However, I have a Jaunty live usb (and my sound worked fine on Jaunty) where my sound don't work either! O.o

pablomme (pablomme) wrote :

@qwerty800: it seems you have a hardware problem then.

qwerty800 (qwerty8034) wrote :

I foresaw this possibiity too, but that wouldn't make sense since fedora 11 (on my external HDD) CAN play music!

LSL (spesialstyrker) wrote :

My wife's hp dv5 laptop which is using the Intel 82801i (ICH9 Family) has no sound either on a beta live cd, or even with building the latest alsa drivers after a fresh beta install. The workaround suggested about halfway up the page of doing a killall pulseaudio and forcing an alsa reload did not work for me either. In Jaunty the sound worked, but only with building the latest alsa drivers.

Daniel T Chen (crimsun) wrote :

Michael W, please file a separate bug (using "ubuntu-bug alsa-base") from
your wife's computer using the Karmic Beta desktop cd.

On Oct 4, 2009 2:05 PM, "Michael W" <email address hidden> wrote:

My wife's hp dv5 laptop which is using the Intel 82801i (ICH9 Family)
has no sound either on a beta live cd, or even with building the latest
alsa drivers after a fresh beta install. The workaround suggested about
halfway up the page of doing a killall pulseaudio and forcing an alsa
reload did not work for me either. In Jaunty the sound worked, but only
with building the latest alsa drivers.

-- [karmic] No sound on Intel 82801H HD Audio
https://bugs.launchpad.net/bugs/411574 You received ...

Stevi (stevi) wrote :

No sound at all here with karmic beta.
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)
$ grep Codec /proc/asound/card0/codec*
/proc/asound/card0/codec#0:Codec: Realtek ALC861
/proc/asound/card0/codec#1:Codec: LSI Si3054

Sound works fine after "sudo alsa force-reload"

qwerty800 (qwerty8034) wrote :

Stop talking about the 82801G when this topic is all about the 82801H!

Pablomme did the exact same error, and it led to a lot of confusion in there!

KAMI (kami911) wrote :

I have ASUS X71 laptop and I have same problem.

my lspci device is:

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 04)

gksudo gedit /etc/modprobe.d/alsa-base.conf
This solved my problem.
# Power down HDA controllers after 10 idle seconds
options snd-hda-intel model=auto

KAMI (kami911) wrote :

However I have to "sudo alsa force-reload" after every boot.

linuxcentre (linuxcentre) wrote :

I did 3 things to get karmic beta to behave (so far reliably with both sound and timidity working) on my Dell Mini 10v netbooks.
This system has:

 Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)
 Codec: Realtek ALC272

 In /etc/modprobe.d/alsa-base.conf I added:

 options snd-hda-intel model=auto

and commented out:

 options snd-hda-intel power_save=10

In /etc/rc.local (before 'exit 0') I added:
 alsa force-reload

BTW: my problems only started when I fixed the timidity startup by doing a 'chown timidity.timidity -R /etc/timidity/'. Otherwise timidity startup complained about it's homedir not being owned by itself. However, by removing that chown fix the sound problem persisted until I did the above :-| I guess the problem might also have been triggered by adding ubuntustudio-audio-plugins and canorus packages...

Deirdre (neried7) wrote :

Updating to Package: pulseaudio Version: 1:0.9.18-0ubuntu3 with 2.6.31-12-generic has fixed this issue on 82801H for me.

qwerty800 (qwerty8034) wrote :

I'm still wondering how can a "stuttering microphone issue on netbooks that can be solved by uninstalling Pulse and using direcly ALSA" have an high priority, while a "No sound at all on two series of common sound cipsets" have a medium one.

If it continues like that, we (and all of the other 82801G/H users) will get a soundless system for Karmic!

It wouldn't be so problematic if we would never had sound, but it's a REGRESSION!!!

I think that bug DESERVE an high priority setting, now that it's here since the alpha3, and that it's still unfixed on the beta...

Don't all of you agree?

Daniel T Chen (crimsun) wrote :

On Fri, Oct 9, 2009 at 2:34 PM, qwerty800 <email address hidden> wrote:
> I think that bug DESERVE an high priority setting, now that it's here
> since the alpha3, and that it's still unfixed on the beta...

If you honestly feel that twiddling the priority of this bug will
alter the allocation of _volunteer_ developer resources devoted to
resolving it, then feel free.

Keep in mind that there is an assumption that the symptom remains
reproducible in current Karmic with the latest kernel _and_ the
ubuntu-audio-dev PPA active. If both conditions are not met, it isn't
productive to continue debugging. Further, unless you've filed a
separate bug with your specific hardware information included (i.e.,
using "ubuntu-bug alsa-base" from a Terminal), we're simply stuck in a
wait loop.

Architecture: i386
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: user 2146 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xfebf8000 irq 22'
   Mixer name : 'Analog Devices AD1988'
   Components : 'HDA:11d41988,104381e1,00100400'
   Controls : 48
   Simple ctrls : 27
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: nvidia
Package: pulseaudio 1:0.9.19-0ubuntu1~ubuntuaudiodev4~
PackageArchitecture: i386
ProcEnviron:
 SHELL=/bin/bash
 LANG=fr_CA.UTF-8
ProcVersionSignature: Ubuntu 2.6.31-13.42-generic
Uname: Linux 2.6.31-13-generic i686
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

tags: added: apport-collected
qwerty800 (qwerty8034) wrote :

A guy on a french forum had the same problem with hardy.

He describes how did he got sound worknig:
Download:
alsa-driver-1.0.17
alsa-lib-1.0.17a
alsa-utils-1.0.17 install in this order with
./configure
sudo make
sudo make install for each of them
then
sudo gedit /etc/modprobe.d/alsa-base and add this line:
options snd-hda-intel model=auto
and reboot

I'm going to try that with the latest version instead...

qwerty800 (qwerty8034) wrote :

No, it gives nothing...

I should retry tomorrow on a live USB, there's something wrong with this...

pablomme (pablomme) wrote :

@qwerty800: there have been updates to both alsa-base and pulseaudio in karmic in the last couple of hours. Perhaps you want to try again after updating?

On Sun, Oct 11, 2009 at 10:10 PM, pablomme <email address hidden> wrote:
> @qwerty800: there have been updates to both alsa-base and pulseaudio in
> karmic in the last couple of hours. Perhaps you want to try again after
> updating?

Those changes won't affect the kernel.

I really need separate bug reports with codec information. Using
"ubuntu-bug alsa-base" will accomplish it.

KAMI (kami911) wrote :

However I am using this settings:
options snd-hda-intel probe_mask=1 model=auto power_save=10
and my sound problems are gone, device property detected.

The latest ALSA updates offered me this settings:
options snd-hda-intel power_save=10 power_save_controller=N

That makes my audio subsytem unusable, so I have to revert my settings in /etc/modprobe.d/alsa-base to my edited values.

Mike O'Connell (wundbread) wrote :

Me too...

00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
        Subsystem: Lenovo Device 20ac
        Flags: bus master, fast devsel, latency 0, IRQ 17
        Memory at fe220000 (64-bit, non-prefetchable) [size=16K]
        Capabilities: [50] Power Management version 2
        Capabilities: [60] Message Signalled Interrupts: Mask- 64bit+ Queue=0/0 Enable-
        Capabilities: [70] Express Root Complex Integrated Endpoint, MSI 00
        Capabilities: [100] Virtual Channel <?>
        Capabilities: [130] Root Complex Link <?>
        Kernel driver in use: HDA Intel
        Kernel modules: snd-hda-intel

changing the model option doesn't fix the issue...

qwerty800 (qwerty8034) wrote :

@Daniel Chen:
With the modifications I recently apported (recompiled alsa) and maybe also because I now use the audio-dev ppa, my alsa is not recognised as a genuine package, so that ubuntu-bug won't report it.

Should I reinstall the repos' version instead?

Daniel T Chen (crimsun) wrote :

On Mon, Oct 12, 2009 at 2:42 AM, KAMI <email address hidden> wrote:
> That makes my audio subsytem unusable, so I have to revert my settings
> in /etc/modprobe.d/alsa-base to my edited values.

KAMI, just create a separate /etc/modprobe.d/sound.conf with the following line:

options snd-hda-intel probe_mask=8

Then changes to /etc/modprobe.d/alsa-base.conf will not affect your
local change.

Daniel T Chen (crimsun) wrote :

On Mon, Oct 12, 2009 at 12:12 PM, qwerty800 <email address hidden> wrote:
> @Daniel Chen:
> Should I reinstall the repos' version instead?

Yes. (It matches the latest PPA version regardless.)

pablomme (pablomme) wrote :

We should probably close this bug, since the reporter does not have the problem any more.

qwerty800 (qwerty8034) wrote :

@pablomme:
WHAT??

If this bug is still active in the criterias that defines it, you CAN'T close it!
This would mean to dump everybody that's still affected by the bug!
"Here, the guy that reported the bug is no more affected, so we're done!"

Daniel T Chen (crimsun) wrote :

On Mon, Oct 12, 2009 at 1:04 PM, qwerty800 <email address hidden> wrote:
> If this bug is still active in the criterias that defines it, you CAN'T close it!
> This would mean to dump everybody that's still affected by the bug!
> "Here, the guy that reported the bug is no more affected, so we're done!"

No, that's why I ask for separate bugs to be filed. Your issue is
separate from the original reporter's.

Michael Terry (mterry) wrote :

Ah, yes, sorry. I (the original reporter) never got back to this bug after discovering that the workaround fixed my issue. After upgrading my karmic install, I removed the workaround, and it works fine. So I'm closing this bug for the specific issue I was having. Please open new bugs for new issues.

Changed in pulseaudio (Ubuntu):
status: Confirmed → Fix Released
pablomme (pablomme) wrote :

> @pablomme:
> WHAT??

Lengthier version: given that most, if not all, of the bug's subscribers except qwerty800 seem not to experience a sound problem any more, that qwerty800's bug is now filed separately, that the present bug contains contradictory information (suggesting that in fact different bugs have affected different people), and that the original reporter's problem is solved, it would make sense to close this bug and continue with separate bug reports for those who still have an issue. These people (if any) should probably leave a comment with a link to their new report.

I still do have the problem and did just file an intentional semi-duplicate:
https://bugs.launchpad.net/ubuntu/+source/pulseaudio/+bug/449762

AirIntake (bradkimak) wrote :

I still have the exact same issue. My chip is a 82801H. There is no sound device listed when the issue happens. An alsa force-reload always works to get sound back. Sometimes the sound will even keep working for a reboot or two, but eventually it loses my sound device again and I have to do another alsa force-reload. This issue did NOT occur with 9.04, 8.10, or 8.04 on my system. It has occurred on my system after an upgrade from 9.04, and from a fresh install from the 9.10 beta cd.

Changed in pulseaudio (Ubuntu):
status: Fix Released → Incomplete
AirIntake (bradkimak) wrote :

Nevermind, an update in the last couple days fixed it.

Changed in pulseaudio (Ubuntu):
status: Incomplete → Fix Released
AirIntake (bradkimak) wrote :

Nevermind again. The problem is back, even though it worked fine through 8 reboots.

Changed in pulseaudio (Ubuntu):
status: Fix Released → Incomplete

this is still a problem in RC 1.

Luke Yelavich (themuso) wrote :

Please try installing linux-backport-linux-backports-modules-alsa-karmic-generic and rebooting. Please report back with results.

Benjamim Gois (benjamim-gois) wrote :

I can confirm this bug. Strange that it only affect me after the yesterday update. I'll try the backport modules and post it here.

Benjamim Gois (benjamim-gois) wrote :

Luke, i just installed -backports-modules-alsa-karmic-generic and it didn't work. I still have no sound on ICH8.

Benjamim Gois (benjamim-gois) wrote :

Hey guys i finally make it work. The problem was with a Proprietary driver of my Dial-up Modem from Smart Link , i just remove it and everything went back to normal. It doesn't need to reboot !

Stevi (stevi) wrote :

Same here: I removed the modem driver and now it works!

Ahm - that doesn't come as a real surprise to me, since it is the modem driver that grabs the devices. However as far as I understand it, it shouldn't do that and uninstalling is one of the obvious workarounds but doesn't solve the problem.

Oh - and the modem won't work anymore. Well, nobody probably is using these things anymore...

Anyways, I'm still hoping for a solution.

Tomasz 'Zen' Napierala (tzn) wrote :

I'm very frustrated, cannot get sound to work :/

Daniel T Chen (crimsun) wrote :

On Tue, Oct 27, 2009 at 4:04 PM, Bernhard Gehl <email address hidden> wrote:
> shouldn't do that and uninstalling is one of the obvious workarounds but
> doesn't solve the problem.

Absolutely. The problem is that module-udev-detect skips over pcm:X
once it sees that the modem is holding it. You can work around that by
using module-udev instead of module-udev-detect, but ultimately we'll
fix this in module-udev-detect.

K0BA (dy) wrote :

I had this bug too.

The solution in #14 worked for me get in!

Sean Seago (speedkreature) wrote :

I wasn't sure what qwerty800 was referring to by "...and find your model of card. Remember it as XYZ" in post #14, so I simply typed "sudo alsa force-reload" into a terminal session and viola! there was sound, glorious sound! :-D I've created a little mini script on my desktop that I'll run for a while...if it works out, I'll add that one line to my .profile until I see this has been fixed. That could be a work around for some of us.

Not having sound is kind of a big deal--totally kills the computing experience, especially with the scarcity of decent, portable open source format multimedia players.

Daniel T Chen (crimsun) wrote :

On Sat, Oct 31, 2009 at 12:02 AM, Sean Seago <email address hidden> wrote:
> of card. Remember it as XYZ" in post #14, so I simply typed "sudo alsa
> force-reload" into a terminal session and viola! there was sound,
> glorious sound!  :-D  I've created a little mini script on my desktop

You're probably experiencing the issue clashing with slmodemd. See my
blog post for workarounds.

qwerty800 (qwerty8034) wrote :

>I wasn't sure what qwerty800 was referring to by "...and find
>your model of card. Remember it as XYZ" in post #14

I wasn't sure what I was refering either back when I wrote this post.

I only discovered by after that you had to find your codec, using this command:
grep Codec /proc/asound/card0/codec*

That didn't helped for me, but it apparently worked for many other persons...

phil (philc-bbnet) wrote :

lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system /home/phil/.gvfs
      Output information may be incomplete.
Terminating processes: 1979lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system /home/phil/.gvfs
      Output information may be incomplete.
lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system /home/phil/.gvfs
      Output information may be incomplete.
.
lsof: WARNING: can't stat() fuse.gvfs-fuse-daemon file system /home/phil/.gvfs
      Output information may be incomplete.
Unloading ALSA sound driver modules: snd-hda-codec-idt snd-hda-intel snd-hda-codec snd-hwdep snd-pcm-oss snd-mixer-oss snd-pcm snd-seq-dummy snd-seq-oss snd-seq-midi snd-rawmidi snd-seq-midi-event snd-seq snd-timer snd-seq-device snd-page-alloc (failed: modules still loaded: snd-hda-codec-idt snd-hda-codec snd-hwdep snd-pcm snd-timer snd-page-alloc).
Loading ALSA sound driver modules: snd-hda-codec-idt snd-hda-intel snd-hda-codec snd-hwdep snd-pcm-oss snd-mixer-oss snd-pcm snd-seq-dummy snd-seq-oss snd-seq-midi snd-rawmidi snd-seq-midi-event snd-seq snd-timer snd-seq-device snd-page-alloc.

phil (philc-bbnet) wrote :

The above pooped up in latest release of Karmic while trying to get my sound back .As per a post suggested as a fix in this forum .

Daniel (daniel-blaschke) wrote :

I too have no (intel) sound in ubuntu 9.10 after the recent upgrade from 9.04 (where everything worked fine). USB devices don't work properly either anymore, but that is probably not related to this bug ...

Mag (magwas) wrote :

I can confirm that this (or very similar) still exists.

I have just upgraded to karmic, and the bug hit me.
(playing video in mplayer, the sound suddenly stops)

The workaround suggested by Alexander S. Gryanko at 2009-08-15 have fixed it.

Warren (warren-warrenfalk) wrote :

If you are having this problem and you upgraded from Jaunty and you hand edited grub/menu.lst, install startupmanager and run startupmanager. The upgrade process will not modify a manually-modified grub/menu.lst, and there appears to be an incompatibility with the intel drivers and the older kernel.

ShotgunNinja (iannonen) wrote :

Hey querty800, I (ironically enough) got your comment just fine, and it worked like a charm....

You meant to gunzip the file you referenced in #14 (/usr/share/doc/alsa-base/driver/HD-Audio-Models.txt.gz), and then open it up in a text viewer (gedit, vi, whatever you like) and then look for the sound device descriptor which best fits your system. This can be accomplished by entering the following lines into Terminal:

cd /usr/share/doc/alsa-base/driver
gunzip -c ./HD-Audio-Models.txt.gz > ~/Desktop/HD-Audio-Models.txt
gedit ~/Desktop/HD-Audio-Models.txt

You have to have first done your research on what the model number of your sound device is. There's an app in the Open-Source sections of the Ubuntu default repositories called "Device Manager", obviously a twist on the Windows control panel tool, and it will show you the devices configured on your system (and I'm sure there are other ways of finding this information as well, it's just that I don't know of them yet). Find an entry under Audio Devices labeled ALSA Playback, and look at the Summary pane where it says Sound Device. That should give you some hints as to which section in the aforementioned text file to look. You can get it through:

sudo apt-get install gnome-device-manager

Once you find the name which best (or most generically) describes your device, go into "/etc/modprobe.d/alsa-base.conf", and where it says something like:

# Power down HDA controllers after 10 idle seconds
options snd-hda-intel power_save=10 power_save_controller=N

And change that to:

# Power down HDA controllers after 10 idle seconds
# options snd-hda-intel power_save=10 power_save_controller=N
options snd-hda-intel model=$(MODEL)

Where $(MODEL) is whatever sound device name from HD-Audio-Devices.txt.gz most accurately describes your system's audio device. Then, save the file, and run in Terminal:

sudo alsa force-reload

And you should be good to go!

Oncle Tom (oncletom) wrote :

I encountered this problem today, while going out of suspend.

I had to close all my applications consuming sound (Firefox, Pidgin, Quod Libet), do a `sudo alsa force-reload` as noticed at the beginning and then, I had the sound back.

Daniel T Chen (crimsun) wrote :

@Oncle Tom
You need to file a separate bug, because we have no idea from your
description what happened.

Oleg Atamanenko (ginnungagap) wrote :

I have same issue on my ASUS F9E laptop.

I performed alsactl init and sound appeared.

After system restart sound is lost again.

It looks like alsa is not initalized correctly.

Kendrick Eastes (keastes) wrote :

fixed on intel 82801h by complete removal and re install of alsa and pulseaudio

sosostris (michael-wochs) wrote :

$ grep Codec /proc/asound/card0/codec*
Codec: Realtek ALC883

Had same issue and fixed it by replacing:
> options snd-hda-intel power_save=0 power_save_controller=N
with
> options snd-hda-intel probe_mask=1 model=auto power_save=0 power_save_controller=N
in /etc/modprobe.d/alsa-base.conf

and running
$ sudo /sbin/alsa force-reload

The issue appeared after automatic update.

Different Shannon here... I think I'm confirming this bug for two machines and hoping to see updates. However, so far I'm mostly just overwhelmed by noise and a feeling of hopelessness. This seems to be a pretty basic level of functionality.

About the only things I can see to add to the discussion (that I didn't see in earlier posts) are that one of the machines is running Ubuntu in a VMware Player as upgraded several times, and the other machine has a 32-bit AMD CPU, also upgraded several times before Koala killed the sound.

As far as the solutions go, there are LOTS of things I could try now, but I mostly feel like my tinkering would be likely to make the situation worse.

VladNistor (vladnistor) wrote :

This seems to have been fixed in Lucid right around the time I upgraded to linux 2.6.32-4/5.

pulseaudio:
  Installed: 1:0.9.21-0ubuntu1
  Candidate: 1:0.9.21-0ubuntu1
  Version table:
 *** 1:0.9.21-0ubuntu1 0
        500 http://ftp.astral.ro lucid/main Packages
        100 /var/lib/dpkg/status

It works fine on Linux unknown-device 2.6.32-5-server #6-Ubuntu SMP Mon Nov 23 13:24:19 UTC 2009 x86_64 GNU/Linux

Paolo Sammicheli (xdatap1) wrote :

Confirmed on Karmic with updates at December 5. There's a conflict with SmartLink modem's proprietary drivers. Removing these drivers it works correctly.

Many users reported it on Ubuntu forum: http://newyork.ubuntuforums.org/showthread.php?t=1308809&page=4
See comment #34

Changed in pulseaudio (Ubuntu):
status: Incomplete → Confirmed
Daniel T Chen (crimsun) wrote :

@Paolo
Please try the version of PA in the ubuntu-audio-dev PPA and report
whether it resolves the issue for you when the softmodem is *running*
(i.e., you'll need to reinstall sl-modem-daemon or hsfmodem).

gmayer (gunther-mayer) wrote :

I can confirm that I have the same problem with the below card on karmic 64bit with all latest updates applied as at time of this writing. No matter what I put into my /etc/modprobe.d/alsa-base.conf the only thing that really works is a "sudo alsa force-reload" (sound/pcm levels aren't the culprit either).

$ lspci -v |grep Audio
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)

$ cat /proc/asound/card0/codec#* |grep Codec
Codec: Analog Devices AD1986A
Codec: LSI Si3054

gmayer (gunther-mayer) wrote :

Ok, I apologise for not reading the most recent messages here (default view only shows the first couple) but I can confirm that uninstalling sl-modem-daemon (which Ubuntu's proprietary driver utility installed for me way in the beginning) resolves the issue for me. I can now reboot and still have my sound working as it should without having to force an alsa reload.

In essence this is a bug then for sl-modem-daemon and not audio, pulseaudio, alsa, gnome, linux kernel or anything else.

dino99 (9d9) wrote :

I'm using Karmic with some ppa(s) : alsa & pulseaudio backports from Lucid because i was having hard freezes due to alsa (karmic release).

But .xsession-errors is flooded by:
- ALSA lib pcm_dmix.c:1010:(snd_pcm_dmix_open) unable to open slave
and continue to freeze the system.

My codec is Realtek ALC882 & card is HDA Intel

Googling around, i've installed alsamixer to choose the right hardware (hda intel) instead of "default": that stopped the freeze problem. But still having pulseaudio complaint:

pulseaudio[2756]: sink-input.c: Failed to create sink input: sink is suspended.
pulseaudio[2756]: alsa-sink.c: Error opening PCM device front:0 busy ressource or hardware.

So, there is a problem with Alsa settings (use "default" instead of detecting hardware and codec).

kronictokr (pstone78) wrote :
Download full text (4.8 KiB)

almost willing to bet fix all sound issues in karmic, unless hardware completely doesnt support it, like SIS graphics

software conflict, this should fix it

since this is a microsoft, i mean software conflict problem, you should be able to use this method on all karmic install no matter what your hardware is. if not, i would suggest backing up your info and starting from the top. again tho, you shouldnt have to. any pakages you already have shouldnt affect the script either, or your install. restores all sound including system sounds. also stops freezing issues that happened when adjusting audio settings.

THIS METHOD CLEARS OUT PULSE COMPLETELY BUT DOES FIX THE SOUND. I TESTED THE SCRIPT ON A FRESH INSTALL EVERYTHING WORKS PERFECT AFTER SUDO NAUTILUS. KEEP READING

sudo apt-get remove libsdl1.2debian-alsa

includes audacious music player, vlc , and ubuntu restricted extras(minus pulse updates :D ).
VVVV VVVVV

sudo aptitude install libdns53 libdns53 linux-headers-2.6.31-16 linux-headers-2.6.31-16-generic linux-image-2.6.31-16-generic ureadahead alsa-oss alsa-base alsa-tools alsa-tools-gui alsa-utils alsa-oss linux-sound-base asoundconf-gtk audacious audacious-plugins audacious-plugins-extra cabextract flashplugin-installer freepats gnome-alsamixer gsfonts-x11 gstreamer0.10-ffmpeg libesd-alsa0 gnome-alsamixer gstreamer0.10-plugins-bad gstreamer0.10-plugins-bad-multiverse gstreamer0.10-plugins-ugly gstreamer0.10-plugins-ugly-multiverse ia32-libs java-common lib32asound2 lib32bz2-1.0 lib32ncurses5 lib32stdc++6 lib32v4l-0 lib32z1 liba52-0.7.4 libao2 libass3 libaudclient2 libaudcore1 libaudid3tag2 libaudio2 libaudutil1 libavcodec52 libavformat52 libavutil49 libbinio1ldbl libbio2jack0 libbio2jack0-dev libcdaudio1 libcddb2 libcelt0 libdc1394-22 libdca0 libdirac0c2a libdvbpsi5 libdvdnav4 libdvdread4 libebml0 libenca0 libfaac0 libfaad0 libffado1 libfftw3-3 libfluidsynth1 libfreebob0 libftgl2 libgconfmm-2.6-1c2 libglademm-2.4-1c2a libglew1.5 libgsm1 libid3tag0 libiptcdata0 libiso9660-5 libjack-dev libjack0 libjack0 liblash2 liblua5.1-0 libmad0 libmatroska0 libmcs1 libmimic0 libmjpegtools-1.9 libmms0 libmodplug0c2 libmowgli1 libmp3lame0 libmp4v2-0 libmpcdec3 libmpeg2-4 libofa0 libpostproc51 libprojectm-data libprojectm2 libquicktime1 libreadline5 libresid-builder0c2a libsad2 libschroedinger-1.0-0 libsdl1.2debian-all libsidplay1 libsidplay2 libsoundtouch1c2 libswscale0 libtwolame0 libvcdinfo0 libvlc2 libvlccore2 libwildmidi0 libx264-67 libxml++2.6-2 libxvidcore4 nspluginwrapper odbcinst1debian1 sun-java6-bin sun-java6-jre sun-java6-plugin ttf-dejavu ttf-dejavu-extra ttf-liberation ttf-mscorefonts-installer ubuntu-restricted-extras unixodbc unrar vlc-data vlc-nox vlc-plugin-pulse linux-backports-modules-2.6.31-16-generic linux-backports-modules-alsa-2.6.31-16-generic linux-backports-modules-alsa-karmic-generic linux-backports-modules-headers-karmic-generic linux-backports-modules-karmic linux-backports-modules-karmic-generic linux-backports-modules-wireless-karmic-generic linux-headers-lbm-2.6.31-16-generic vlc

java will pop up
hit tab enter, tab enter to select yes

this is a BIG script, it will take some time....
so how bout those canucks.... :D
bo...

Read more...

C de-Avillez (hggdh2) wrote :

@all: please be careful if you are considering following the instructions in the previous comment. These actions are not supported, and *may* result in a broken system.

KrazyPenguin (krazypenguin) wrote :

Same problem with sound and tried everything.

This command got the sound working until the next reboot:
sudo alsa force-reload

On this laptop the sound worked fine using Hardy, so I know the hardware is compatible with linux.

On the live cd the sound worked.

During the first boot the sound worked.

Decided to try removing the RESTRICTED DRIVER, and that did the trick!!!!!!!!!!!!!!!!!

Here is the driver info:

"The SmartLink modem daemon is the application part of thedriver for recent modems produced by Smart Link Ltd.

This package replaces (along with hardware access drivers) the olddriver generation (2.7.x) which consisted of kernel modules only.

It needs a kernel driver to access the hardware. This can be either recent ALSA (shipped with a newer kernel (>=2.6.4) with Alsa supportand intel8x0m module) which is sufficient for basic operation anddata/Internet connection, or the SmartLink kernel driver which isprovided by separate packages which you can build using the source fromthe sl-modem-source package.

This driver enables the usage of many software modems, as commonly found in laptops.

If this driver is not enabled, you will not be able to use your modem."

Notice that this driver uses a "kernel driver to access the hardaware", which is ........................... yep, ALSA!!!!!!!!!!!!!!!!!!!!

As far as I know , I don't need that driver to use this laptop, so I removed it and the sound now works without any problems.

KrazyPenguin, it is known bug and there are several notes about this:
a) This driver is enabled optionally (Restricted drivers require confirmation from user to install them);
b) PulseAudio team already admitted that it is their fault. Blocking ALSA subdevice with slmodemd shouldn't block main subdevice for playback or/and recording.

Cheers,
Peter.

Daniel T Chen (crimsun) wrote :

On Wed, Jan 6, 2010 at 1:16 PM, Pēteris Krišjānis wrote:
> KrazyPenguin, it is known bug and there are several notes about this:
> b) PulseAudio team already admitted that it is their fault. Blocking ALSA subdevice with slmodemd shouldn't block main subdevice for playback or/and recording.

Not just that, but it's fixed in Ubuntu Lucid and the ubuntu-audio-dev
PPA for Karmic.

marek (jersey0) on 2010-01-31
Changed in pulseaudio (Ubuntu):
status: Confirmed → Incomplete
Paolo Sammicheli (xdatap1) wrote :

@marek: if you change status you should explain why.

Changing back status to "Confirmed" like before.

Changed in pulseaudio (Ubuntu):
status: Incomplete → Confirmed
Fitch (brafferton) wrote :

No sound 'cos my AC97 doesn't exist apparently!

cat /proc/asound/card*/codec* | grep Codec
cat: /proc/asound/card*/codec*: No such file or directory

brafferton@office:~$ grep Codec /proc/asound/card0/codec*
grep: /proc/asound/card0/codec*: No such file or directory

Fitch (brafferton) wrote :

Must add that it only recently disappeared (3 days ago)

Vlad Zbarsky (zbarsky) wrote :

Codec: Conexant ID 5051

Affects me :-( Ubuntu 9.10 x64 on Lenovo X200 laptop.

Vlad, try to download http://cdimages.ubuntu.com/daily-live/20100419/lucid-desktop-i386.iso and boot with it and then test sound. And then please report back.

Vlad Zbarsky (zbarsky) wrote :

Pēteris, thanks! Your advice worked, I booted the Lucid daily build you suggested, and voila, audio works. Guess I'll wait for Lucid release, or may build kernel 2.6.32 for Karmic (commit f0a221ef47df3cdde2123fe75ce3b61bb7df656d looks relevant).

Btw, per lspci output, my audio device is:
Intel Corporation 82801I (ICH9 Family) HD Audio Controller (Rev 03).

In Lucid /proc/asound/card0/codec#0 reports "Codec: Conexant 20561 (Hermosa)".

After I set the line in /etc/modprobe.d/alsa-base.conf to "options snd-hda-intel model=lenovo-x200", codec in /proc now reports the same thing, as opposed to my earlier report in comment 133.

Vlad Zbarsky (zbarsky) wrote :

Spoke too soon. I did upgrade from Karmic to Lucid, and the problem is back in full glory. Same relevant info from /proc/asound, dmesg, lspci as noted above.

Vlad Zbarsky (zbarsky) wrote :

Scratch my last comment #136. After I added myself to group audio, sound works fine on Lucid.

dino99 (9d9) on 2012-01-17
Changed in pulseaudio (Ubuntu):
status: Confirmed → Invalid
To post a comment you must log in.